import '../internal/chat_transform_tools.dart';
import 'chat_enums.dart';

/// @nodoc
abstract class ChatMessageBody {
  ChatMessageBody({required this.type});

  /// @nodoc
  ChatMessageBody.fromJson({
    required Map map,
    required this.type,
  });

  /// @nodoc
  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['type'] = messageTypeToTypeStr(this.type);
    return data;
  }

  @override
  String toString() {
    return toJson().toString();
  }

  /// Gets the chat message type.
  MessageType type;
}
