import 'chat_message_reaction.dart';

class ChatMessageReactionChange {
  /// The conversation ID
  final String conversationId;

  /// The message ID
  final String messageId;

  /// The Reaction which is changed
  final List<ChatMessageReaction> reactions;

  ChatMessageReactionChange._private({
    required this.conversationId,
    required this.messageId,
    required this.reactions,
  });

  /// nodoc
  factory ChatMessageReactionChange.fromJson(Map map) {
    String conversationId = map["conversationId"];
    String messageId = map["messageId"];
    List<ChatMessageReaction> reactions = [];
    map["reactions"]?.forEach((element) {
      reactions.add(ChatMessageReaction.fromJson(element));
    });
    return ChatMessageReactionChange._private(
      conversationId: conversationId,
      messageId: messageId,
      reactions: reactions,
    );
  }
}
