import 'chat_thread.dart';
import 'chat_enums.dart';
import '../tools/chat_extension.dart';

class ChatThreadEvent {
  /// Received the operation type of the sub-area from others
  final ChatThreadOperation type;

  /// User id of the operation sub-area
  final String from;

  /// sub-area
  final ChatThread? chatThread;

  ChatThreadEvent._private({
    required this.type,
    required this.from,
    this.chatThread,
  });

  factory ChatThreadEvent.fromJson(Map map) {
    String from = map["from"];
    int iType = map["type"];
    ChatThreadOperation type = ChatThreadOperation.UnKnown;
    switch (iType) {
      case 0:
        type = ChatThreadOperation.UnKnown;
        break;
      case 1:
        type = ChatThreadOperation.Create;
        break;
      case 2:
        type = ChatThreadOperation.Update;
        break;
      case 3:
        type = ChatThreadOperation.Delete;
        break;
      case 4:
        type = ChatThreadOperation.Update_Msg;
        break;
    }

    ChatThread? chatThread = map.getValueWithKey<ChatThread>(
      "thread",
      callback: (map) {
        if (map == null) {
          return null;
        }
        return ChatThread.fromJson(map);
      },
    );

    return ChatThreadEvent._private(
      type: type,
      from: from,
      chatThread: chatThread,
    );
  }
}
